"""
Layout items for Foundation components

Inherits from the default **crispy_forms** layout objects to force templates on
the right ``TEMPLATE_PACK`` (defined from ``settings.CRISPY_TEMPLATE_PACK``)
and implements Foundation components.
"""
from __future__ import absolute_import
from django.conf import settings

from .base import Div, Panel, Layout, UneditableField, HTML
from .grid import Row, RowFluid, Column
from .fields import (MultiWidgetField, Field, MultiField,
                     SplitDateTimeField, InlineField,
                     InlineJustifiedField, SwitchField,
                     InlineSwitchField)
from .buttons import (ButtonHolder, ButtonHolderPanel,
                      ButtonGroup, Button, Submit, Hidden, Reset)
from .containers import (Container, ContainerHolder,
                         Fieldset, TabItem, TabHolder,
                         VerticalTabHolder, AccordionItem,
                         AccordionHolder)


__all__ = [
    "Div", "Panel", "Layout", "UneditableField", "HTML", "Row", "RowFluid",
    "Column", "MultiWidgetField", "Field", "MultiField", "SplitDateTimeField",
    "InlineField", "InlineJustifiedField", "SwitchField", "InlineSwitchField",
    "ButtonHolder", "ButtonHolderPanel", "ButtonGroup", "Button", "Submit",
    "Hidden", "Reset", "Container", "ContainerHolder", "Fieldset", "TabItem",
    "TabHolder", "VerticalTabHolder", "AccordionItem", "AccordionHolder",
]


TEMPLATE_PACK = getattr(settings, 'CRISPY_TEMPLATE_PACK', 'foundation-5')
